using System;
using System.Security;
using System.Security.Permissions;

public partial class Exemplo : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            Response.Write(Mensagem("Você está acessando uma página do grupo 'Administradores'."));
        }
        catch (SecurityException)
        {
            Response.Redirect("Login.aspx", false);
        }
    }

    [PrincipalPermission(SecurityAction.Demand, Role = "Administradores")]
    private string Mensagem(string str)
    {
        return str;
    }

}